#include    <stdio.h>

int     main(int argc,char **argv)
{
    printf("Text file converter. version 1.0\n") ;
    printf("   Created by Prosto User  31/12/1997\n") ;
    printf("              Version 1.01 01/11/2000\n") ;

    if (argc != 3) {
        printf("Usage:\n") ;
        printf("   Txt_Form <Input_file> <Output_file>\n") ;
        printf("\n") ;
        printf("\n") ;
        return 1 ;
    }

    FILE *In  = fopen(argv[1],"rt") ;
    if (In==NULL) {
        printf("Error opening input file '%s'!\n",argv[1]) ;
        return 1 ;
    }
    FILE *Out = fopen(argv[2],"wt") ;
    if (Out==NULL) {
        printf("Error opening output file '%s'!\n",argv[2]) ;
        return 2 ;
    }


    long    read = 0, written = 0 ;
    int     c ;
    int     BegLine     = 1 ;
    int     BegNewLine  = 1 ;
    int     SeqSpaces   = 0 ;

    while ((c=fgetc(In))!=EOF) {
        read++ ;
        if (c==' ') {
            SeqSpaces++ ;
            continue ;
        }
        if (c=='\n') {
            if (BegLine) {
                fputc('\n',Out) ;
                written++ ;
                BegNewLine = 1 ;
            }
            SeqSpaces = 0 ;
            BegLine = 1 ;
            continue ;
        }
        if (BegLine) {
            if (SeqSpaces == 0 && !BegNewLine) {
                fputc(' ',Out) ;
                written++ ;
            } else {
                fputc('\n',Out) ;
                written++ ;
                for (int i=0; i<SeqSpaces; i++) {
                    fputc(' ',Out) ;
                    written++ ;
                }
                SeqSpaces = 0 ;
            }
            BegLine = 0 ;
        }
        if (SeqSpaces > 0) {
            fputc(' ',Out) ;
            written++ ;
            SeqSpaces = 0 ;
        }
        fputc(c,Out) ;
        written++ ;
        BegNewLine = 0 ;
    }
    fclose(In)  ;
    fclose(Out) ;

    //printf("Total bytes read %ld, written %ld\n",read,written) ;
    printf("End of processing.\n") ;

    return 0 ;
}
